#include <iostream>

using namespace std;

int main()
{
    int n, l, odgovor = -1;
    cin>>n>>l;
    int stalaktiti[n];
    for (int i = 0; i < n; i++)
    {
        cin>>stalaktiti[i];
        if (odgovor == -1 && l >= stalaktiti[i])
        {
            odgovor = i+1;
        }
    }
    cout<<odgovor;
    return 0;
}